package com.engine.salary.formlua.entity.standard;

import java.io.Serializable;
import java.util.List;

/**
 * @author roy
 */
public class FormulaFilterData  implements Serializable {
    public static final String CONDITION_AND = "and";
    public static final String CONDITION_OR = "or";
    public static final String TERM_EQ = "eq";
    public static final String TERM_NOT_EQ = "neq";
    public static final String TERM_NULL = "null";
    public static final String TERM_NOT_NULL = "notnull";
    public static final String TERM_LIKE = "like";
    public static final String TERM_GT = "gt";
    public static final String TERM_GE = "ge";
    public static final String TERM_LE = "le";
    public static final String TERM_LT = "lt";
    public static final String TERM_BEQ = "beq";
    public static final String TERM_SEQ = "seq";
    public static final String SOURCE_TYPE_CONSTANT = "constant";
    public static final String SOURCE_TYPE_VARIABLE = "variable";
    private static final long serialVersionUID = 2902385161856666369L;
    /**
     * 字段ID
     */
    private String fieldId;
    /**
     * 明细子表ID
     */
    private String subFormId;
    /**
     * 控件名称
     */
    private String componentKey;
    /**
     * 操作符，具体符号在上面的静态变量中
     */
    private String term;
    private String tremStr;
    /**
     * 条件的值
     */
    private String content;
    /**
     * 范围条件的截止范围
     */
    private String endContent;
    /**
     * 选项条件的值
     */
    private List<String> ids;
//    private List<FilterFormData> children;
    private List<String> contents;
    private List<Object> idObjects;
    private String dateType;
    private List<String> allUserIds;
    private List<String> allDeptIds;
    private String operateId;
    private String departmentId;
    private List<String> deptFieldIds;
    private String subDept;
    private List<String> pIds;
    private String sourceType;
    private String sourceFile;
    private String idsStr;
    private String sortStr;
    private String condition = "and";
    private List<String> selectIds;
    private String format;
    private boolean isFixed;
//    private List<FilterFormDataIds> filterFormDataIdsList;

    public String getFieldId() {
        return fieldId;
    }

    public void setFieldId(String fieldId) {
        this.fieldId = fieldId;
    }

    public String getSubFormId() {
        return subFormId;
    }

    public void setSubFormId(String subFormId) {
        this.subFormId = subFormId;
    }

    public String getComponentKey() {
        return componentKey;
    }

    public void setComponentKey(String componentKey) {
        this.componentKey = componentKey;
    }

    public String getTerm() {
        return term;
    }

    public void setTerm(String term) {
        this.term = term;
    }

    public String getTremStr() {
        return tremStr;
    }

    public void setTremStr(String tremStr) {
        this.tremStr = tremStr;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getEndContent() {
        return endContent;
    }

    public void setEndContent(String endContent) {
        this.endContent = endContent;
    }

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }

//    public List<FilterFormData> getChildren() {
//        return children;
//    }
//
//    public void setChildren(List<FilterFormData> children) {
//        this.children = children;
//    }

    public List<String> getContents() {
        return contents;
    }

    public void setContents(List<String> contents) {
        this.contents = contents;
    }

    public List<Object> getIdObjects() {
        return idObjects;
    }

    public void setIdObjects(List<Object> idObjects) {
        this.idObjects = idObjects;
    }

    public String getDateType() {
        return dateType;
    }

    public void setDateType(String dateType) {
        this.dateType = dateType;
    }

    public List<String> getAllUserIds() {
        return allUserIds;
    }

    public void setAllUserIds(List<String> allUserIds) {
        this.allUserIds = allUserIds;
    }

    public List<String> getAllDeptIds() {
        return allDeptIds;
    }

    public void setAllDeptIds(List<String> allDeptIds) {
        this.allDeptIds = allDeptIds;
    }

    public String getOperateId() {
        return operateId;
    }

    public void setOperateId(String operateId) {
        this.operateId = operateId;
    }

    public String getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public List<String> getDeptFieldIds() {
        return deptFieldIds;
    }

    public void setDeptFieldIds(List<String> deptFieldIds) {
        this.deptFieldIds = deptFieldIds;
    }

    public String getSubDept() {
        return subDept;
    }

    public void setSubDept(String subDept) {
        this.subDept = subDept;
    }

    public List<String> getpIds() {
        return pIds;
    }

    public void setpIds(List<String> pIds) {
        this.pIds = pIds;
    }

    public String getSourceType() {
        return sourceType;
    }

    public void setSourceType(String sourceType) {
        this.sourceType = sourceType;
    }

    public String getSourceFile() {
        return sourceFile;
    }

    public void setSourceFile(String sourceFile) {
        this.sourceFile = sourceFile;
    }

    public String getIdsStr() {
        return idsStr;
    }

    public void setIdsStr(String idsStr) {
        this.idsStr = idsStr;
    }

    public String getSortStr() {
        return sortStr;
    }

    public void setSortStr(String sortStr) {
        this.sortStr = sortStr;
    }

    public String getCondition() {
        return condition;
    }

    public void setCondition(String condition) {
        this.condition = condition;
    }

    public List<String> getSelectIds() {
        return selectIds;
    }

    public void setSelectIds(List<String> selectIds) {
        this.selectIds = selectIds;
    }

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public boolean isFixed() {
        return isFixed;
    }

    public void setFixed(boolean fixed) {
        isFixed = fixed;
    }

//    public List<FilterFormDataIds> getFilterFormDataIdsList() {
//        return filterFormDataIdsList;
//    }
//
//    public void setFilterFormDataIdsList(List<FilterFormDataIds> filterFormDataIdsList) {
//        this.filterFormDataIdsList = filterFormDataIdsList;
//    }
}
